import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.LinkedHashMap;
import java.util.Map;

@WebServlet("/home")
public class home extends HttpServlet {

    @Override
    public void init() throws ServletException {

    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("text/html");
        req.setCharacterEncoding("UTF-8");
        resp.setCharacterEncoding("UTF-8");
        PrintWriter out = resp.getWriter();
        Map <String,String>map = new LinkedHashMap<>();

        map.put("auth-pc", "PC获取身份态");
        map.put("auth-h5", "h5获取身份态");
        map.put("getAccessToken", "通过wx_code获取Access_toke");
        map.put("getUserInfo", "通过Access_token获取授权用户信息");

        map.put("getSchoolInfo", "获取主体基本信息");
        map.put("getOrg", "获取组织架构");
        map.put("getOrgType", "获取组织架构类型");
        map.put("getOrgMember", "获取单个组织架构成员");
        map.put("getUserByCardNumber", "批量获取成员");
        map.put("getIdentType", "获取成员身份类型");
        map.put("getSearchMember", "搜索成员");
        map.put("getGroupPermission", "获取权限组");
        map.put("getPermissionDetail", "获取权限组详情");
        map.put("getUserPermission", "获取用户权限");
        map.put("getRoleGroup", "获取角色组");
        map.put("getRole", "获取角色");

        map.put("getAbility", "查询通知能力");
        map.put("getNoticeSend", "发送通知");
        map.put("getNoticeDetail", "通知数据明细");
        map.put("getUserRead", "用户阅读通知情况");

        map.put("decode","电子码解码");

        for(Map.Entry<String, String> entry : map.entrySet()){
            String mapKey = entry.getKey();
            String mapValue = entry.getValue();
            out.println("<a href='"+mapKey+"'>"+mapValue+"</a><br><br>");
        }
    }

    @Override
    public void destroy() {
        super.destroy();
    }
}
