package face;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import util.ApitUtil;
import util.HttpUtil;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Map;
import java.util.TreeMap;

@WebServlet("/face")
public class face extends HttpServlet {
    private String message;

    @Override
    public void init() throws ServletException {

    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        //设置响应内容类型
        resp.setContentType("text/html");
        req.setCharacterEncoding("UTF-8");
        resp.setCharacterEncoding("UTF-8");
        //设置逻辑实现
        PrintWriter out = resp.getWriter();
        //获取post数据
        Map<String, String> map = HttpUtil.getPostParameter(req);
        //验证签名
        Map<String, String> resultMap = ApitUtil.verifySign(map);
        if (resultMap.get("errcode").equals("0")) {
            // TODO:与学校有关的业务逻辑
            resultMap = new TreeMap();
            resultMap.put("errcode", "1");
            resultMap.put("msg", "ok");

            resp.getWriter().write(HttpUtil.mapToJson(resultMap));
        } else {
            resultMap = new TreeMap();
            resultMap.put("errcode", "0");
            resultMap.put("msg", "xxxx");
            // 返回错误信息
            resp.getWriter().write(HttpUtil.mapToJson(resultMap));
        }

    }



    @Override
    public void destroy() {
        super.destroy();
    }

}
